Index: /data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- /data/trunk/worlds/single_player_proto_world_01.map	(revision 3890)
+++ /data/trunk/worlds/single_player_proto_world_01.map	(revision 3891)
@@ -6147,4 +6147,67 @@
 ( 296 192 40 ) ( 296 187 9 ) ( 296 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
 }
+// brush 660
+{
+( 349 112 15 ) ( 349 91 15 ) ( 329 112 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 349 108 15 ) ( 329 108 15 ) ( 349 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 349 112 15 ) ( 349 112 14 ) ( 349 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 329 91 14 ) ( 349 91 14 ) ( 329 112 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 329 91 14 ) ( 329 91 15 ) ( 349 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 331 91 14 ) ( 331 112 14 ) ( 331 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 661
+{
+( 375 112 15 ) ( 375 91 15 ) ( 355 112 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 375 108 15 ) ( 355 108 15 ) ( 375 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 373 112 15 ) ( 373 112 14 ) ( 373 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 355 91 14 ) ( 375 91 14 ) ( 355 112 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 355 91 14 ) ( 355 91 15 ) ( 375 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 355 91 14 ) ( 355 112 14 ) ( 355 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 662
+{
+( 398 110 15 ) ( 398 89 15 ) ( 378 110 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 398 108 15 ) ( 378 108 15 ) ( 398 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 396 110 15 ) ( 396 110 14 ) ( 396 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 378 89 14 ) ( 398 89 14 ) ( 378 110 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 378 91 14 ) ( 378 91 15 ) ( 398 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 378 89 14 ) ( 378 110 14 ) ( 378 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 663
+{
+( 421 110 15 ) ( 421 89 15 ) ( 401 110 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 421 108 15 ) ( 401 108 15 ) ( 421 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 419 110 15 ) ( 419 110 14 ) ( 419 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 89 14 ) ( 421 89 14 ) ( 401 110 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 91 14 ) ( 401 91 15 ) ( 421 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 89 14 ) ( 401 110 14 ) ( 401 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 664
+{
+( 421 129 15 ) ( 421 108 15 ) ( 401 129 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 421 127 15 ) ( 401 127 15 ) ( 421 127 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 419 129 15 ) ( 419 129 14 ) ( 419 108 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 108 14 ) ( 421 108 14 ) ( 401 129 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 109 14 ) ( 401 109 15 ) ( 421 109 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 108 14 ) ( 401 129 14 ) ( 401 108 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 665
+{
+( 437 145 15 ) ( 437 124 15 ) ( 417 145 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 437 143 15 ) ( 417 143 15 ) ( 437 143 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 435 145 15 ) ( 435 145 14 ) ( 435 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 417 124 14 ) ( 437 124 14 ) ( 417 145 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 417 125 14 ) ( 417 125 15 ) ( 437 125 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 417 124 14 ) ( 417 145 14 ) ( 417 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 666
+{
+( 459 145 15 ) ( 459 124 15 ) ( 439 145 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 459 143 15 ) ( 439 143 15 ) ( 459 143 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 457 145 15 ) ( 457 145 14 ) ( 457 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 439 124 14 ) ( 459 124 14 ) ( 439 145 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 439 125 14 ) ( 439 125 15 ) ( 459 125 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 439 124 14 ) ( 439 145 14 ) ( 439 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1
@@ -6345,5 +6408,5 @@
 {
 "classname" "light"
-"origin" "333 106 5"
+"origin" "340 99 12"
 "light" "100"
 "_light;light" "20"
@@ -6352,5 +6415,5 @@
 {
 "classname" "light"
-"origin" "357 106 5"
+"origin" "364 99 12"
 "light" "100"
 "_light;light" "20"
@@ -6359,5 +6422,5 @@
 {
 "classname" "light"
-"origin" "380 106 5"
+"origin" "387 99 12"
 "light" "100"
 "_light;light" "20"
@@ -6366,5 +6429,5 @@
 {
 "classname" "light"
-"origin" "403 106 5"
+"origin" "410 99 12"
 "light" "100"
 "_light;light" "20"
@@ -6373,5 +6436,5 @@
 {
 "classname" "light"
-"origin" "403 125 5"
+"origin" "410 118 12"
 "light" "100"
 "_light;light" "20"
@@ -6380,5 +6443,5 @@
 {
 "classname" "light"
-"origin" "419 141 5"
+"origin" "426 134 12"
 "light" "100"
 "_light;light" "20"
@@ -6387,5 +6450,5 @@
 {
 "classname" "light"
-"origin" "441 141 5"
+"origin" "448 134 12"
 "light" "100"
 "_light;light" "20"