Index: /orxonox/trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 3894)
+++ /orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 3895)
@@ -441,5 +441,5 @@
    \param type 0: vertex only, 1: vertex and normal, 2: vertex and Texture, 3 vertex, normal and texture
 */
-bool Model::addFace(int faceElemCount, int type, ...)
+bool Model::addFace(int faceElemCount, VERTEX_FORMAT type, ...)
 {
    if (this->currentGroup->faceCount > 0)
@@ -833,10 +833,10 @@
   */
 
-  this->addFace (4, 3, 1,1,1, 2,2,2, 4,4,3, 3,3,4);
-  this->addFace (4, 3, 3,3,5, 4,4,6, 6,6,7, 5,5,8);
-  this->addFace (4, 3, 5,5,9, 6,6,10, 8,8,11, 7,7,12);
-  this->addFace (4, 3, 7,7,13, 8,8,14, 2,10,15, 1,9,16);
-  this->addFace (4, 3, 2,2,17, 8,11,18, 6,12,19, 4,4,20);
-  this->addFace (4, 3, 7,13,21, 1,1,22, 3,3,23, 5,14,24);
-
-}
+  this->addFace (4, VERTEX_TEXCOORD_NORMAL, 1,1,1, 2,2,2, 4,4,3, 3,3,4);
+  this->addFace (4, VERTEX_TEXCOORD_NORMAL, 3,3,5, 4,4,6, 6,6,7, 5,5,8);
+  this->addFace (4, VERTEX_TEXCOORD_NORMAL, 5,5,9, 6,6,10, 8,8,11, 7,7,12);
+  this->addFace (4, VERTEX_TEXCOORD_NORMAL, 7,7,13, 8,8,14, 2,10,15, 1,9,16);
+  this->addFace (4, VERTEX_TEXCOORD_NORMAL, 2,2,17, 8,11,18, 6,12,19, 4,4,20);
+  this->addFace (4, VERTEX_TEXCOORD_NORMAL, 7,13,21, 1,1,22, 3,3,23, 5,14,24);
+
+}
Index: /orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 3894)
+++ /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 3895)
@@ -23,5 +23,5 @@
 		    VERTEX_NORMAL = NORMAL,
 		    VERTEX_TEXCOORD = TEXCOORD,
-		    VERTEXT_TEXTURE_NORMAL = NORMAL | TEXCOORD};
+		    VERTEX_TEXCOORD_NORMAL = NORMAL | TEXCOORD};
 
 //! Class that handles 3D-Models. it can also read them in and display them.
@@ -105,5 +105,5 @@
   bool addVertex(float x, float y, float z);
   bool addFace(char* faceString);
-  bool addFace(int faceElemCount, int type, ...);
+  bool addFace(int faceElemCount, VERTEX_FORMAT type, ...);
   bool addVertexNormal(char* normalString);
   bool addVertexNormal(float x, float y, float z);
Index: /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 3894)
+++ /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 3895)
@@ -123,13 +123,13 @@
 	    {
 	      v1 = vertexCount+1;
-	      this->addFace(3, TEXCOORD, v1, v1, v3, v3, v4, v4);
+	      this->addFace(3, VERTEX_TEXCOORD, v1, v1, v3, v3, v4, v4);
 	    }
 	  else if (j == detail)
 	    {
 	      v3 = vertexCount+2;
-	      this->addFace(3, TEXCOORD, v1, v1, v2, v2, v3, v3);
+	      this->addFace(3, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3);
 	    }
 	  else
-	    this->addFace(4, TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
+	    this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
 	}
     }
@@ -167,11 +167,11 @@
       p4 = 2*i+3;
       // something is wrong here
-      this->addFace(4, 0, p1, p2, p3, p4);
-      this->addFace(3, 0, p4, p1, 2*detail+1);
-      this->addFace(3, 0, p2, p3, 2*detail+2);
-    }
-  addFace(4,0, 2*detail-1, 2*detail, 2, 1);
-  this->addFace(3, VERTEX, 1, 2*detail-1, 2*detail+1);
-  this->addFace(3, VERTEX, 2*detail, 2, 2*detail+2);
+      this->addFace(4, VERTEX_ONLY, p1, p2, p3, p4);
+      this->addFace(3, VERTEX_ONLY, p4, p1, 2*detail+1);
+      this->addFace(3, VERTEX_ONLY, p2, p3, 2*detail+2);
+    }
+  addFace(4, VERTEX_ONLY, 2*detail-1, 2*detail, 2, 1);
+  this->addFace(3, VERTEX_ONLY, 1, 2*detail-1, 2*detail+1);
+  this->addFace(3, VERTEX_ONLY, 2*detail, 2, 2*detail+2);
 }
 
@@ -207,6 +207,6 @@
       else
 	v2 = i+4;
-      this->addFace(3, VERTEX, 1, v1, v2);
-      this->addFace(3, VERTEX, 2, v1, v2); 
+      this->addFace(3, VERTEX_ONLY, 1, v1, v2);
+      this->addFace(3, VERTEX_ONLY, 2, v1, v2); 
     }
 }
@@ -238,5 +238,5 @@
 	v3 = (i+1)*detail + (j+1);
 	v4 = i*detail + (j+1);
-	this->addFace(4, TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
+	this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
       }
 }
Index: /orxonox/trunk/src/world_entities/skybox.cc
===================================================================
--- /orxonox/trunk/src/world_entities/skybox.cc	(revision 3894)
+++ /orxonox/trunk/src/world_entities/skybox.cc	(revision 3895)
@@ -188,15 +188,15 @@
 
   model->addUseMtl(material[0]);
-  model->addFace (4, 3, 3,2,4, 4,3,4, 6,4,4, 5,1,4); // top
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 3,2,4, 4,3,4, 6,4,4, 5,1,4); // top
   model->addUseMtl(material[1]);
-  model->addFace (4, 3, 7,4,2, 8,1,2, 2,2,2, 1,3,2); // bottom
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 7,4,2, 8,1,2, 2,2,2, 1,3,2); // bottom
   model->addUseMtl(material[2]);
-  model->addFace (4, 3, 1,1,3, 2,2,3, 4,3,3, 3,4,3); // left
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 1,1,3, 2,2,3, 4,3,3, 3,4,3); // left
   model->addUseMtl(material[3]);
-  model->addFace (4, 3, 5,3,1, 6,4,1, 8,1,1, 7,2,1); // right
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 5,3,1, 6,4,1, 8,1,1, 7,2,1); // right
   model->addUseMtl(material[4]);
-  model->addFace (4, 3, 2,1,6, 8,2,6, 6,3,6, 4,4,6); // front
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 2,1,6, 8,2,6, 6,3,6, 4,4,6); // front
   model->addUseMtl(material[5]);
-  model->addFace (4, 3, 7,1,5, 1,2,5, 3,3,5, 5,4,5); // back
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 7,1,5, 1,2,5, 3,3,5, 5,4,5); // back
   
   model->finalize();