Index: /orxonox/trunk/src/lib/graphics/importer/framework.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/framework.cc	(revision 3909)
+++ /orxonox/trunk/src/lib/graphics/importer/framework.cc	(revision 3910)
@@ -58,5 +58,5 @@
 int main(int argc, char *argv[])
 {
-  verbose = 4;
+  verbose = 3;
 
   Uint8* keys; // This variable will be used in the keyboard routine
Index: /orxonox/trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 3909)
+++ /orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 3910)
@@ -522,5 +522,5 @@
    \param matString the Material that will be set.
 */
-bool Model::addUseMtl (const char* matString)
+bool Model::addUseMtl(const char* matString)
 {
   if (this->currentGroup->faceCount > 0)
@@ -538,5 +538,5 @@
    \param mtl the Material that will be set.
 */
-bool Model::addUseMtl (Material* mtl)
+bool Model::addUseMtl(Material* mtl)
 {
   if (this->currentGroup->faceCount > 0)
Index: /orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 3909)
+++ /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 3910)
@@ -12,4 +12,7 @@
 class Array;
 class Vector;
+template<class T> class tList;
+
+
 
 using namespace std;
@@ -28,19 +31,8 @@
 class Model
 {
- public:
-  Model(const char* modelName = NULL);
-  virtual ~Model(void);
-
-  void setName(const char* name);
-  
-  void draw(void) const;
-  void draw(int groupNumber) const;
-  void draw(char* groupName) const;
-  int getGroupCount() const;
-
- protected:
-  char* name;            //!< This is the name of the Model.
-  bool finalized;        //!< Sets the Object to be finalized.
-  
+ private:
+  /////////////
+  // structs //
+  /////////////
   //! This is the placeholder of one Vertex beloning to a Face.
   struct FaceElement
@@ -77,4 +69,6 @@
   };
 
+  char* name;            //!< This is the name of the Model.
+  bool finalized;        //!< Sets the Object to be finalized.
 
   Array* vertices;      //!< The Array that handles the Vertices.
@@ -83,20 +77,40 @@
   Array* vTexture;      //!< The Array that handles the VertexTextureCoordinates.
 
-  
   Group* firstGroup;    //!< The first of all groups.
   Group* currentGroup;  //!< The currentGroup. this is the one we will work with.
   int groupCount;       //!< The Count of Groups.
 
-  Material* material;   //!< Initial pointer to the Material. This can hold many materials, because Material can be added with Material::addMaterial(..)
-  float scaleFactor;    //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
-
   bool initGroup(Group* group);
   bool initFace (Face* face);
-  bool cleanup(void);
+
   bool cleanupGroup(Group* group);
   bool cleanupFace(Face* face);
   bool cleanupFaceElement(FaceElement* faceElem);
 
+  bool addGLElement(FaceElement* elem);
+
+  bool buildVertexNormals(void);
+
+ protected:
+  float scaleFactor;    //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
+  Material* material;   //!< Initial pointer to the Material. This can hold many materials, because Material can be added with Material::addMaterial(..)
+
+  bool importToGL(void);
+  void cubeModel(void);
+
+  bool cleanup(void);
+
  public:
+  Model(const char* modelName = NULL);
+  virtual ~Model(void);
+
+  void setName(const char* name);
+  inline const char* getName() {return this->name;}
+  
+  void draw(void) const;
+  void draw(int groupNumber) const;
+  void draw(char* groupName) const;
+  int getGroupCount() const;
+
   bool addGroup(const char* groupString);
   bool addVertex(const char* vertexString);
@@ -111,12 +125,4 @@
   bool addUseMtl(Material* mtl);
   void finalize(void);
-
- protected:
-  bool importToGL(void);
-  bool addGLElement(FaceElement* elem);
-
-  bool buildVertexNormals(void);
-
-  void cubeModel(void);
 };
 
Index: /orxonox/trunk/src/lib/graphics/importer/objModel.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 3909)
+++ /orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 3910)
@@ -129,9 +129,11 @@
     }
 
-  char readLine[PARSELINELENGTH];
   char buffer[PARSELINELENGTH];
-  while(fgets(readLine, PARSELINELENGTH, stream))
-    { 
-      strcpy(buffer, readLine);
+  while(fgets(buffer, PARSELINELENGTH, stream))
+    {
+      // line termiated with \0 not \n
+      if (buffer[strlen(buffer)-1] == '\n')
+	buffer[strlen(buffer)-1] = '\0';
+
       // case vertice
       if (!strncmp(buffer, "v ", 2))
@@ -207,10 +209,13 @@
     }
 
-  char readLine[PARSELINELENGTH];
   char buffer[PARSELINELENGTH];
   Material* tmpMat = material;
-  while(fgets(readLine, PARSELINELENGTH, stream))
+  while(fgets(buffer, PARSELINELENGTH, stream))
     {
       PRINTF(5)("found line in mtlFile: %s\n", buffer);
+
+      // line termiated with \0 not \n
+      if (buffer[strlen(buffer)-1] == '\n')
+	buffer[strlen(buffer)-1] = '\0';
 
       // create new Material